Mouseover explanations for interlanguage links in native languages
Closed, ResolvedPublic

Description

Author: wiki.bugzilla

Description:
Transmitting a feature request from de.wikipedia.

Please go to http://en.wikipedia.org/wiki/Wikipedia:Community_Portal
There you'll find an interlanguage/interwiki link to
http://kk.wikipedia.org/wiki/Wikipedia:Қауым_Порталы
This is read as "қазақша". But what language is it?
Did you really know, that it is "Kazakh language"? ;-)

Currently all names of interwiki links are given in the original language,
for example:
"Alemannisch" for als.wikipedia
"Lietuvių" for lt.wikipedia
"中文" for zh.wikipedia

The proposition is, that on mouseover additional texts in the native language
of the project (or in the language set in user preferences) are given like

on en.wikipedia
"Alemannic German" for als:
"Lithuanian" for lt:
"Chinese" for zh:

or on de.wikipedia
"Alemannisch" for als:
"Litauisch" for lt:
"Chinesisch" for zh:

This request seems to be based on bug 4901.


Version: unspecified
Severity: enhancement
URL: http://de.wikipedia.org/w/index.php?title=Wikipedia:Verbesserungsvorschl%C3%A4ge/Feature-Requests&oldid=14523734#Sprachen_auf_der_Navi-leiste_.28Interlanguage_links.29

bzimport set Reference to bz5231.
bzimport created this task.Via LegacyMar 11 2006, 2:48 PM
brion added a comment.Via ConduitMar 11 2006, 9:46 PM

That's deliberate.

bzimport added a comment.Via ConduitMar 12 2006, 8:32 AM

flominator wrote:

Sounds great!

bzimport added a comment.Via ConduitMar 26 2006, 5:56 PM

waythrow-bzmz wrote:

Can somebody (Brion?) explain why this bug is "resolved" as wontfix?
If you don't give a convincing reason, I (or somebody else) am going to reopen it.

brion added a comment.Via ConduitMar 26 2006, 6:12 PM

Maintaining language lists was unmaintainable (200+ * 200+), so years ago we switched to native-names only.

bzimport added a comment.Via ConduitMar 27 2006, 5:07 AM

waythrow-bzmz wrote:

Thank you. I am new to this and was not aware that features must be implemented
for all languages. I gather it is impossible to do this for English only.

Raymond added a comment.Via ConduitJan 7 2009, 8:45 AM

Reopening as it seems be feasible now with the CLDR extension. Working on it...

IAlex added a comment.Via ConduitDec 14 2009, 8:15 AM
  • Bug 21845 has been marked as a duplicate of this bug. ***
bzimport added a comment.Via ConduitOct 2 2010, 9:13 AM

theevilipaddress wrote:

The interlanguage have recently got their title in the tooltip. Adding this would lead to potential conflicts.

waldyrious added a comment.Via ConduitOct 2 2010, 10:18 AM

(In reply to comment #8)

The interlanguage have recently got their title in the tooltip. Adding this
would lead to potential conflicts.

Is this live already? And what is displayed in the currently implemented titles?

Nikerabbit added a comment.Via ConduitFeb 19 2011, 9:24 AM

It is live. Any ideas how to implement this in other way?

waldyrious added a comment.Via ConduitFeb 20 2011, 8:30 PM

Why not having both? As in <LanguageName: PageTitle>. For example, the Community portal url given in comment 0 would have for the ar: link the following tooltip: "Arabic: ويكيبيديا:بوابة المجتمع".

bzimport added a comment.Via ConduitSep 3 2011, 5:53 PM

wp.designate wrote:

I proposed including the language after the article name in the tooltip, e.g.

Michael Dukakis [German]
Μάικλ Δουκάκης [Greek]
Michael Dukakis [Spanish]

http://en.wikipedia.org/wiki/Wikipedia:Village_pump_%28proposals%29#Add_language_names_in_English_as_tooltip_in_language_links

It was received positively. This seems like a worthwhile enhancement.

Raymond added a comment.Via ConduitMay 11 2012, 11:51 AM
  • Bug 32332 has been marked as a duplicate of this bug. ***
He7d3r added a comment.Via ConduitJun 27 2012, 11:20 PM
  • Bug 21846 has been marked as a duplicate of this bug. ***
bzimport added a comment.Via ConduitNov 29 2012, 10:46 AM

p.selitskas wrote:

Submitted a patch in Gerrit change #35871

bzimport added a comment.Via ConduitApr 29 2013, 9:59 PM

p.selitskas wrote:

Anyone desires to review the patch? https://gerrit.wikimedia.org/r/#/c/35871/

Aklapper added a comment.Via ConduitJun 25 2013, 1:17 PM

L10N team: Could anybody review the patch in Gerrit, please?

gerritbot added a comment.Via ConduitOct 4 2013, 5:49 PM

Change 35871 merged by jenkins-bot:
Mouseover explanations for interlanguage links in native language

https://gerrit.wikimedia.org/r/35871

Umherirrender added a comment.Via ConduitNov 9 2013, 9:35 AM

Was successfully merged

Nemo_bis added a comment.Via ConduitJul 15 2014, 6:27 PM

To all those following: help is appreciated in adding/improving the translations of the hundreds language names (we just got 100 more language names translatable), see instructions: https://translatewiki.net/wiki/CLDR#Contribute_to_an_existing_locale

Add Comment